Bug 1226039 - [network] turning off a Wi-Fi device disables all Wi-Fi devices (USB Wlan, PCI Wlan)
Summary: [network] turning off a Wi-Fi device disables all Wi-Fi devices (USB Wlan, PC...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-28 19:46 UTC by Ali Akcaagac
Modified: 2016-07-19 14:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 14:20:29 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 709710 None None None 2015-12-17 21:23:58 UTC

Description Ali Akcaagac 2015-05-28 19:46:24 UTC
Description of problem:
Just switched from Fedora 20 to Fedora 22. I'm in GNOME right now and wanted to install XFCE. Sadly dnf was hanging up all the time. After some investigation I figured out that WLAN at all was locking up. Connection looked fine but data transfer was not happening (or happening in quite a slow or strange way). Loosing connections all the time. After some investigation I figured out that the GNOME part of the NetworkManager is causing the problem.

I have two WLAN adapters. The internal WLAN adapter with an RTL chipset and an external WLAN USB adapter with an ATH chipset. Under Fedora 20 running XFCE I kept the internal turned off and used the ATH one because it had a stronger signal. It was also possible under Fedora 20 to have both running without issues at the same time (Connectted to the same accesspoint).

With Fedora 22 they both connected to the same accesspoint after starting up. Fedora 22 shows PCI WLAN and USB WLAN devices in the NetworkManager part of the top right location of GNOME-Shell. I wanted to turn the PCI one off but as soon as I turn the PCI one off the USB one turns off as well. Turning PCI on again, turns the USB one on again as well. Turning USB off, turns PCI off as well. Turning PCI on, turns USB on as well. Somehow they both seem to be causing issues when running together (which is not the case with Fedora 20). Right now I have to manually unload the RTL modules to have the internal WLAN device shut up.

Version-Release number of selected component (if applicable):
The GNOME that comes with Fedora 20

How reproducible:
As described above.

Steps to Reproduce:
1. Connect an external WLAN USB to a notebook and have the interal running as well.
2. Turn one of the off in GNOME and both turns off. Turn one on and both turns on again. They also cause network issues when running together.
3. ...

Actual results:
Problems with turning off the correct device.
Problems because two nics are interferring each other. Causing network issues.

Expected results:
Turning off the correct device.
No network issues when running together connected with the same accesspoint (works with Fedora 20).

Additional info:
None.

Comment 1 Ali Akcaagac 2015-05-28 19:52:28 UTC
One additional info: Both WLAN adapters show the same accesspoint name in the GNOME-Shell part of the NetworkManager GUI. So they are showing this

USB WLan: Humphrey
PCI Wlan: Humphrey

Although they have different Id in /etc/sysconfig/network-scripts

One is named NAME="Humphrey" the other NAME="Humphrey 1". So they can distinguish each other. Therefore it looks like a GNOME specific issue.

Comment 2 Ali Akcaagac 2015-05-28 20:07:01 UTC
Just switched to XFCE Fedora 22. Networkmanager applet works as expected. No issues under XFCE.

Comment 3 Jirka Klimes 2015-05-29 11:18:34 UTC
Well, base on comment #2 I am re-assigning to gnome-shell.

Anyway, you can disconnect particular devices using command-line nmcli, like
$ nmcli dev disconnect wlan2

Comment 4 Fedora End Of Life 2016-07-19 14:20:29 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.